<?php 
function wcmc_get_woo_version_number() 
{
        // If get_plugins() isn't available, require it
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	
        // Create the plugins folder and file variables
	$plugin_folder = get_plugins( '/' . 'woocommerce' );
	$plugin_file = 'woocommerce.php';
	
	// If the plugin version number is set, return it 
	if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
		return $plugin_folder[$plugin_file]['Version'];

	} else {
	// Otherwise return null
		return NULL;
	}
}
$wcmc_result = get_option("_".$wcmc_id);
$wcmc_notice = !$wcmc_result || $wcmc_result != md5($_SERVER['SERVER_NAME']);
$wcmc_notice = false; 
/* if($wcmc_notice)
	remove_action( 'plugins_loaded', 'wcmc_setup'); */
if(!$wcmc_notice)
	wcmc_setup();
function wcmc_get_value_if_set($data, $nested_indexes, $default)
{
	if(!isset($data))
		return $default;
	
	$nested_indexes = is_array($nested_indexes) ? $nested_indexes : array($nested_indexes);
	//$current_value = null;
	foreach($nested_indexes as $index)
	{
		if(!isset($data[$index]))
			return $default;
		
		$data = $data[$index];
		//$current_value = $data[$index];
	}
	
	return $data;
}
function wcmc_is_request_to_rest_api()
{
	if ( empty( $_SERVER['REQUEST_URI'] ) ) {
		return false;
	}
	// Check if our endpoint.
	$woocommerce = false !== strpos( $_SERVER['REQUEST_URI'], 'wp-json/wc/' );
	// Allow third party plugins use our authentication methods.
	$third_party = false !== strpos( $_SERVER['REQUEST_URI'], 'wp-json/wc-' );
	
	return apply_filters( 'woocommerce_rest_is_request_to_rest_api', $woocommerce || $third_party );
}
function wcmc_currency_selector()
{
	global $wcmc_html_model;
		
	$wcmc_html_model->render_currency_controller(true);
}
function wcmc_write_log ( $log )  
{
  if ( is_array( $log ) || is_object( $log ) ) 
  {
	 error_log( print_r( $log, true ) );
  }
  else 
  {
	if(is_bool($log))
	{
		echo $log ? 'true' : 'false';
	}
	else
	 error_log( $log );
  }
}
function wcmc_merge_arrays($array1, $array2, $position = 'before')
{
	$result = array();
	if($position == 'before')
	{
		foreach($array2 as $elem)
			$result[] = $elem;
		foreach($array1 as $elem)
			$result[] = $elem;
	}
	else 
	{
		foreach($array1 as $elem)
			$result[] = $elem;
		foreach($array2 as $elem)
			$result[] = $elem;
	}
	
	return $result;
}

function wcmc_var_dump($var)
{
	echo "<pre>";
	var_dump($var);
	echo "</pre>";
}
?>