<?php 
namespace WCMC\classes\com;

class URLManager
{

	function __construct()
	{
		add_action( 'template_redirect', array( $this, 'add_currency_parameter' ) );
	}
	public function add_currency_parameter()
	{
		global $wcmc_customer_model;
		
		if(!isset($_GET['currency']) && !is_admin())
		{
			$current_uri = $_SERVER['REQUEST_URI'];
			$result = add_query_arg( 'currency', $wcmc_customer_model->get_currency(), $current_uri );
			wp_safe_redirect( $result, 302 );
		}
	}
}
?>